const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
        cc.find("down", this.node).on("click", function (argument) {
            this.loadMusic();
        }, this);
    }

    // update (dt) {}

    loadMusic(){
        var remoteUrl = "http://47.111.184.119/MusicGame/xajh.mp3";
        // let audio = wx.createInnerAudioContext();
        // audio.src = remoteUrl;
        // audio.play();
        // audio.onPlay(()=>{console.log("开始播放")});
        // audio.onError((res)=>{
        //     console.log(res.errMsg);
        //     console.log(res.errCode);
        // });
        // cc.find("stop", this.node).active = false;
        cc.loader.load({url: remoteUrl, type: "mp3"}, this.onProgress.bind(this), this.onComplete.bind(this));
    }

    onProgress(completedCount, totalCount){
        cc.log(completedCount, totalCount);
        // this.labLoad.string = (100*completedCount/totalCount).toString()+"%";
    }

    onComplete(err, res){
        if (err || !res){
            console.log(err);
            return;
        }
        cc.find("stop", this.node).active = false;
        var _audioID = cc.audioEngine.play(res, false, 1);
        cc.log("this.audioTask = ", res, _audioID);
        // let audio = wx.createInnerAudioContext()
        // audio.src = 'bgm.mp3'
        // audio.play()
    }
}
